%global enginesdir %(pkg-config --variable=enginesdir libcrypto)

Name:           p11-remote
Version:        0.3
Release:        1%{?dist}
Summary:        Remoting of PKCS#11 modules across sessions

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/NetworkManager/%{name}
Source0:        https://github.com/NetworkManager/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

Requires:       openssl-libs
Requires:       p11-kit-server

BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(p11-kit-1)
BuildRequires:  pkgconfig(systemd)

%description
This is a PKCS#11 engine for OpenSSL based on p11-kit capable of utilizing the
p11-kit remoting capabilities. It also includes an on-demand activated UNIX
socket based p11-kit server for user sessions.

This is in particular useful to use a GNOME Keyring software HSM with daemons
running outside the user session, such as the NetworkManager managed VPN
daemons or wpa_supplicant.


%prep
%setup -q


%build
%configure
make %{_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%{_userunitdir}/p11-kit-remote.socket
%{_userunitdir}/p11-kit-remote@.service
%{_userunitdir}/sockets.target.wants
%{_mandir}/man1/libp11-kit-engine.so.1*
%{_mandir}/man5/p11-kit-remote.socket.5*
%{_mandir}/man5/p11-kit-remote@.service.5*
%{enginesdir}/libp11-kit-engine.so
%{_libdir}/libp11-kit-engine.so
%exclude %{enginesdir}/libp11-kit-engine.la


%changelog
* Thu May 11 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.3-1
- Update to version 0.3

* Sun Apr 09 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.2-1
- Initial packaging
